### Signal

# RB ShellPlayer::playing-uri-changed

#### Declaration

    void
    playing_uri_changed (
      RBShellPlayer* self,
      gchar* uri,
      gpointer user_data
    )

#### Description [src]

Emitted when the playing database entry changes, providing the URI of the entry.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`uri`

  Type: `gchar*`

  The URI of the new playing entry.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.